name: open-signature-generator
services:
  osg:
    build:
      context: .
      dockerfile: osg.dockerfile
      
    image: osg:22 # <--automate this number change to trigger stack redeploy.
      
    environment:
      DOCKER: "true"
      HOSTPREFIX: "osg.jkdev.org"
      
    ports:
      - "8312:8080"
      
    volumes:
      - sqlite-database:/data

volumes:
  sqlite-database: